Bug 1166215 - Chargeback throws "undefined method '[]' for nil:NilClass [configuration/form_field_changed]"
Summary: Chargeback throws "undefined method '[]' for nil:NilClass [configuration/form...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.3.2
Assignee: Aparna Karve
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1166187
Blocks: 1161793
TreeView+ depends on / blocked
 
Reported: 2014-11-20 15:17 UTC by Dave Johnson
Modified: 2015-01-14 19:43 UTC (History)
8 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
In the earlier version of CloudForms Management Engine, an error was presented in the Explorer when selecting the check all option in the Storage menu item under Assignments under the Chargeback main menu item. This was due to an incorrect call to a method that applied only to the Chargeback Rates accordion was being called in the Explorer. This was fixed by hiding the paging controls in the Chargeback Explorer menu item. No errors are presented in the Storage menu item under Assignments under the Chargeback main menu item in the new version of CloudForms Management Engine.
Clone Of: 1166187
Environment:
Last Closed: 2015-01-14 19:43:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 CFME Bot 2014-11-26 18:35:35 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8ddde1d3064862f7c5edb5b1c25776d369d1da1d

commit 8ddde1d3064862f7c5edb5b1c25776d369d1da1d
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Nov 21 11:41:58 2014 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Nov 26 10:31:29 2014 -0800

    Hide the paging controls in Chargeback -> Assignments -> Storage
    
    The call to the 'cb_rates_list' method applies to the Rates accordion
    only and should not be called in explorer since that fetches the
    chargeback rates list and displays a paging control at the bottom of
    the 'Assignments' page where the paging controls are not applicable.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1166215

 vmdb/app/controllers/chargeback_controller.rb | 1 -
 1 file changed, 1 deletion(-)

Comment 3 Aziza Karol 2014-12-22 10:00:41 UTC
Fixed. Paging control removed.

verified:
5.3.2.5.20141218144833_50406a5

Comment 5 errata-xmlrpc 2015-01-14 19:43:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.